using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class UserControl_UserLogin : System.Web.UI.UserControl
{
    public event EventHandler SubmitClick;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            txtUserName.Focus();
        }
    }

    public Label LblTitle
    {
        get { return lblTitle; }
        set { lblTitle = value; }
    }
    public TextBox _UserName
    {
        get { return txtUserName; }
        set { txtUserName = value; }
    }
    public TextBox _UserPwd
    {
        get { return txtUserPwd; }
        set { txtUserPwd = value; }
    }
    public Label _Msg
    {
        get { return lblMsg; }
        set { lblMsg = value; }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        SubmitClick(this, e);
    }
    protected void btnReset_Click(object sender, EventArgs e)
    {
        txtUserName.Text = "";
        txtUserPwd.Text = "";
        lblMsg.Text = "";

        txtUserName.Focus();
    }
}
